package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckLedgerEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckLedgerPageReq;

/**
 * <p>
 * v3.0 隐患排查治理台账 服务类
 * </p>
 */
public interface IHbRiskCheckLedgerService extends IService<HbRiskCheckLedgerEntity> {

    AjaxResult add(HbRiskCheckLedgerEntity request);

    AjaxResult edit(HbRiskCheckLedgerEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskCheckLedgerPageReq request);

    AjaxResult listAll();
}
